/*
  vd20131002: New table for regions

  To remove table:
  ALTER TABLE Customer DROP CONSTRAINT FK_Customer_Regions  
  ALTER TABLE ReservationAddress DROP CONSTRAINT FK_RESERVATIONADDRESS_RegionFK
  DROP TABLE Regions
*/

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WITH (NOLOCK) 
               WHERE 
                 id = object_id(N'[dbo].[Regions]') AND 
                 OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

  CREATE TABLE Regions(
    ID INTEGER IDENTITY(1, 1) NOT NULL PRIMARY KEY,
    RegionAbbreviation VARCHAR(30) NOT NULL,
    RegionName VARCHAR(50) NOT NULL,
    Country INTEGER NOT NULL,
    CountryName VARCHAR(50) NOT NULL)

  ALTER TABLE Regions ADD CONSTRAINT FK_Regions_CountryFK
    FOREIGN KEY (Country)
    REFERENCES Countries (CountryNumber) 

  DECLARE @CountryNumber INTEGER
  DECLARE @CountryName VARCHAR(30)

  DECLARE InitCursor CURSOR FOR
    SELECT CountryNumber, CountryName FROM Countries WITH (NOLOCK)
    WHERE CountryCode = 'USA' AND COUNTRYNAME <> ''
  
  OPEN InitCursor 
  FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  
  WHILE @@Fetch_status = 0
  BEGIN   
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-AK', 'Alaska')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-AZ', 'Arizona')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-AR', 'Arkansas')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-CA', 'California')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-CO', 'Colorado')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-CT', 'Connecticut')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-DE', 'Delaware')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-FL', 'Florida')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-GA', 'Georgia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-HI', 'Hawaii')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-ID', 'Idaho')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-IL', 'Illinois')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-IN', 'Indiana')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-IA', 'Iowa')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-KS', 'Kansas')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-KY', 'Kentucky')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-LA', 'Louisiana')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-ME', 'Maine')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MD', 'Maryland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MA', 'Massachusetts')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MI', 'Michigan')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MN', 'Minnesota')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MS', 'Mississippi')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MO', 'Missouri')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MT', 'Montana')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NE', 'Nebraska')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NV', 'Nevada')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NH', 'New Hampshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NJ', 'New Jersey')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NM', 'New Mexico')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NY', 'New York')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-NC', 'North Carolina')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-ND', 'North Dakota')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-OH', 'Ohio')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-OK', 'Oklahoma')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-OR', 'Oregon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-PA', 'Pennsylvania')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-RI', 'Rhode Island')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-SC', 'South Carolina')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-SD', 'South Dakota')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-TN', 'Tennessee')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-TX', 'Texas')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-UT', 'Utah')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-VT', 'Vermont')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-VA', 'Virginia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-WA', 'Washington')        
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-WV', 'West Virginia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-WI', 'Wisconsin')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-WY', 'Wyoming')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-DC', 'District of Columbia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-AS', 'American Samoa')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-GU', 'Guam')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-MP', 'Northern Mariana Islands')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-PR', 'Puerto Rico')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-UM', 'US Minor Outlying Islands')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'US-VI', 'US Virgin Islands')	

    FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  END

  CLOSE InitCursor 
  DEALLOCATE InitCursor  

  DECLARE InitCursor CURSOR FOR
    SELECT CountryNumber, CountryName FROM Countries WITH (NOLOCK)
    WHERE CountryCode = 'CA' AND COUNTRYNAME <> ''
  
  OPEN InitCursor 
  FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  
  WHILE @@Fetch_status = 0
  BEGIN  
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-AB', 'Alberta')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-BC', 'British Columbia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-MB', 'Manitoba')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-NB', 'New Brunswick')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-NL', 'Newfoundland and Labrador')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-NS', 'Nova Scotia')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-ON', 'Ontario')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-PE', 'Prince Edward Island')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-QC', 'Quebec')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-SK', 'Saskatchewan')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-NT', 'Northwest Territories')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-NU', 'Nunavut')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'CA-YT', 'Yukon Territory')
    
    FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  END

  CLOSE InitCursor 
  DEALLOCATE InitCursor 

  DECLARE InitCursor CURSOR FOR
    SELECT CountryNumber, CountryName FROM Countries WITH (NOLOCK)
    WHERE CountryCode = 'IRL' AND COUNTRYNAME <> ''
  
  OPEN InitCursor 
  FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  
  WHILE @@Fetch_status = 0
  BEGIN  
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-CW', 'Carlow')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-CN', 'Cavan')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-CE', 'Clare')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-CO', 'Cork')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-DL', 'Donegal')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-D', 'Dublin')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-G', 'Galway')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-KY', 'Kerry')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-KE', 'Kildare')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-KK', 'Kilkenny')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-LS', 'Laois')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-LM', 'Leitrim')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-LK', 'Limerick')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-LD', 'Longford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-LH', 'Louth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-MO', 'Mayo')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-MH', 'Meath')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-MN', 'Monaghan')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-OY', 'Offaly')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-RN', 'Roscommon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-SO', 'Sligo')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-TA', 'Tipperary')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-WD', 'Waterford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-WH', 'Westmeath')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-WX', 'Wexford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'IE-WW', 'Wicklow')
    
    FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  END

  CLOSE InitCursor 
  DEALLOCATE InitCursor   

  DECLARE InitCursor CURSOR FOR
    SELECT CountryNumber, CountryName FROM Countries WITH (NOLOCK)
    WHERE CountryCode = 'GB' AND COUNTRYNAME <> ''
  
  OPEN InitCursor 
  FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  
  WHILE @@Fetch_status = 0
  BEGIN  
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LEC', 'Leicestershire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LIN', 'Lincolnshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NFK', 'Norfolk')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NYK', 'North Yorkshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NTH', 'Northamptonshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NTT', 'Nottinghamshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-OXF', 'Oxfordshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SOM', 'Somerset')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STS', 'Staffordshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SFK', 'Suffolk')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SRY', 'Surrey')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WAR', 'Warwickshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WSX', 'West Sussex')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WOR', 'Worcestershire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BDG', 'Barking and Dagenham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BNE', 'Barnet')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BEX', 'Bexley')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BEN', 'Brent')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BRY', 'Bromley')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CMD', 'Camden')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CRY', 'Croydon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-EAL', 'Ealing')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ENF', 'Enfield')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-GRE', 'Greenwich')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HCK', 'Hackney')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HMF', 'Hammersmith and Fulham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HRY', 'Haringey')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HRW', 'Harrow')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HAV', 'Havering')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HIL', 'illingdon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HNS', 'Hounslow')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ISL', 'Islington')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-KEC', 'Kensington and Chelsea')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-KTT', 'Kingston upon Thames')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LBH', 'Lambeth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LEW', 'Lewisham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MRT', 'Merton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NWM', 'Newham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RDB', 'Redbridge')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RIC', 'Richmond upon Thames')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SWK', 'Southwark')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STN', 'Sutton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TWH', 'Tower Hamlets')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WFT', 'Waltham Forest')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WND', 'Wandsworth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WSM', 'Westminster')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BNS', 'Barnsley')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BIR', 'Birmingham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BOL', 'Bolton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BRD', 'Bradford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BUR', 'Bury')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CLD', 'Calderdale')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-COV', 'Coventry')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DNC', 'Doncaster')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DUD', 'Dudley')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-GAT', 'Gateshead')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-KIR', 'Kirklees')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-KWL', 'Knowsley')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LDS', 'Leeds')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LIV', 'Liverpool')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MAN', 'Manchester')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NET', 'Newcastle upon Tyne')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NTY', 'North Tyneside')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-OLD', 'Oldham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RCH', 'Rochdale')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ROT', 'Rotherham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SHN', 'St. Helens')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SLF', 'Salford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SAW', 'Sandwell')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SFT', 'Sefton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SHF', 'Sheffield')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SOL', 'Solihull')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STY', 'South Tyneside')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SKP', 'Stockport')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SND', 'Sunderland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TAM', 'Tameside')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TRF', 'Trafford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WKF', 'Wakefield')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WLL', 'Walsall')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WGN', 'Wigan')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WRL', 'Wirral')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WLV', 'Wolverhampton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BAS', 'Bath and North East Somerset')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BBD', 'Blackburn with Darwen')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BDF', 'Bedford')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BPL', 'Blackpool')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BMH', 'Bournemouth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BRC', 'Bracknell Forest')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BNH', 'Brighton and Hove')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BST', 'Bristol City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CBF', 'Central Bedfordshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CHE', 'Cheshire East')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CHW', 'Cheshire West and Chester')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CON', 'Cornwall')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DAL', 'Darlington')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DER', 'Derby')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DUR', 'Durham County')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ERY', 'East Riding of Yorkshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HAL', 'Halton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HPL', 'Hartlepool')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HEF', 'Herefordshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-IOW', 'Isle of Wight')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-KHL', 'Kingston upon Hull')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LCE', 'Leicester')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LUT', 'Luton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MDW', 'Medway')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MDB', 'Middlesbrough')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MIK', 'Milton Keynes')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NEL', 'North East Lincolnshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NLN', 'North Lincolnshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NSM', 'North Somerset')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NBL', 'Northumberland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NGM', 'Nottingham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-PTE', 'Peterborough')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-PLY', 'Plymouth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-POL', 'Poole')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-POR', 'Portsmouth')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RDG', 'Reading')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RCC', 'Redcar and Cleveland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RUT', 'Rutland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SHR', 'Shropshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SLG', 'Slough')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SGC', 'South Gloucestershire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STH', 'Southampton')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SOS', 'Southend-on-Sea')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STT', 'Stockton-on-Tees')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STE', 'Stoke-on-Trent')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SWD', 'Swindon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TFW', 'Telford and Wrekin')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-THR', 'Thurrock')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TOB', 'Torbay')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WRT', 'Warrington')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WBK', 'West Berkshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WIL', 'Wiltshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WNM', 'Windsor and Maidenhead')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WOK', 'Wokingham')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-YOR', 'York')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LND', 'London City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ANT', 'Antrim')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ARD', 'Ards')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ARM', 'Armagh')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BLA', 'Ballymena')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BLY', 'Ballymoney')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BNB', 'Banbridge')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BFS', 'Belfast')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CKF', 'Carrickfergus')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CSR', 'Castlereagh')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CLR', 'Coleraine')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CKT', 'Cookstown')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CGV', 'Craigavon')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DRY', 'Derry')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DOW', 'Down')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DGN', 'Dungannon and South Tyrone')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-FER', 'Fermanagh')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LRN', 'Larne')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LMV', 'Limavady')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-LSB', 'Lisburn')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MFT', 'Magherafelt')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MYL', 'Moyle')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NYM', 'Newry and Mourne District')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NTA', 'Newtownabbey')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NDN', 'North Down')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-OMH', 'Omagh')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STB', 'Strabane')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ABE', 'Aberdeen City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ABD', 'Aberdeenshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ANS', 'Angus')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-AGB', 'Argyll and Bute')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CLK', 'Clackmannanshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DGY', 'Dumfries and Galloway')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DND', 'Dundee City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-EAY', 'East Ayrshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-EDU', 'East Dunbartonshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ELN', 'East Lothian')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ERW', 'East Renfrewshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-EDH', 'Edinburgh City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ELS', 'Eilean Siar')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-FAL', 'Falkirk')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-FIF', 'Fife')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-GLG', 'Glasgow City')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-HLD', 'Highland')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-IVC', 'Inverclyde')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MLN', 'Midlothian')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MRY', 'Moray')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NAY', 'North Ayrshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NLK', 'North Lanarkshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ORK', 'Orkney Islands')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-PKN', 'Perth and Kinross')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RFW', 'Renfrewshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SCB', 'Scottish Borders')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-ZET', 'Shetland Islands')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SAY', 'South Ayrshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SLK', 'South Lanarkshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-STG', 'Stirling')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WDU', 'West Dunbartonshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-WLN', 'West Lothian')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BGW', 'Blaenau Gwent')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-BGE', 'Bridgend')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CAY', 'Caerphilly')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CRF', 'Cardiff')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CMN', 'Carmarthenshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CGN', 'Ceredigion')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-CWY', 'Conwy')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-DEN', 'Denbighshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-FLN', 'Flintshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-GWN', 'Gwynedd')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-AGY', 'Isle of Anglesey')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MTY', 'Merthyr Tydfil')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-MON', 'Monmouthshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NTL', 'Neath Port Talbot')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-NWP', 'Newport')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-PEM', 'Pembrokeshire')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-POW', 'Powys')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-RCT', 'Rhondda - Cynon - Taff') 
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-SWA', 'Swansea')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-TOF', 'Torfaen')
    INSERT INTO Regions(Country, CountryName, RegionAbbreviation, RegionName) VALUES (@CountryNumber, @CountryName, 'GB-VGL', 'Vale of Glamorgan')

    FETCH NEXT FROM InitCursor INTO @CountryNumber, @CountryName 
  END

  CLOSE InitCursor 
  DEALLOCATE InitCursor   

END